/**
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.activemq.transport.jabber;

import EDU.oswego.cs.dl.util.concurrent.BoundedBuffer;
import EDU.oswego.cs.dl.util.concurrent.PooledExecutor;
import EDU.oswego.cs.dl.util.concurrent.SynchronizedBoolean;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.activemq.io.WireFormat;
import org.activemq.transport.TransportServerChannelSupport;
import org.activemq.transport.tcp.TcpTransportChannel;
import org.activemq.transport.tcp.TcpTransportServerChannel;
import org.activemq.util.JMSExceptionHelper;

import javax.jms.JMSException;
import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.UnknownHostException;

/**
 * A Jabber server connector
 *
 * @version $Revision: 1.1.1.1 $
 */
public class JabberTransportServerChannel extends TcpTransportServerChannel implements Runnable {

    public JabberTransportServerChannel(URI bindAddr) throws JMSException {
        super(new JabberWireFormat(), bindAddr);
    }

    public JabberTransportServerChannel(ServerSocket serverSocket) throws JMSException {
        super(new JabberWireFormat(), serverSocket);
    }

    protected TcpTransportChannel createTransportChannel(Socket socket, PooledExecutor executor) throws JMSException {
        return new JabberTransportChannel(socket, executor);
    }
}