/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.ws.addressing;

import org.codehaus.activesoap.HandlerRegistry;
import org.codehaus.activesoap.handler.Policy;

/**
 * Represents an ActiveSOAP policy to maintain a WS-Addressing context via the
 * {@link AddressingContext} class
 * 
 * @version $Revision: 1.1 $
 */
public class AddressingPolicy implements Policy {
    public static final String DEFAULT_NAMESPACE = "http://schemas.xmlsoap.org/ws/2003/03/addressing";

    private String[] namespaces = { DEFAULT_NAMESPACE };

    private AddressingHandler handler = new AddressingHandler();

    public void addPolicy(HandlerRegistry registry) {
        registry.addHandler(namespaces, handler);
    }

    public void removePolicy(HandlerRegistry registry) {
        registry.removeHandler(namespaces, handler);
    }

}
